Bug Hunting Session
Bug 124601 - FILEOPEN DOC: Wrong position of graphics in table
Summary: FILEOPEN DOC: Wrong position of graphics in table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: filter:doc
Depends on:
Blocks: DOC-Tables
  Show dependency treegraph
 
Reported: 2019-04-08 06:38 UTC by Patrick Jaap
Modified: 2019-10-11 16:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document .doc (108.50 KB, application/msword)
2019-04-08 06:39 UTC, Patrick Jaap
Details
LibreOffice rendering (76.57 KB, application/pdf)
2019-04-08 06:40 UTC, Patrick Jaap
Details
Office rendering (97.21 KB, application/pdf)
2019-04-08 06:40 UTC, Patrick Jaap
Details
rendering after commit 29d7ece94318d3f03d079dff33ec15ff74f8febf (69.46 KB, application/pdf)
2019-10-02 15:11 UTC, Patrick Jaap
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Jaap 2019-04-08 06:38:46 UTC
Description:
Same symptoms like in https://bugs.documentfoundation.org/show_bug.cgi?id=115094 bug now in DOC.

Graphics in the table are misplaced and the table is not a floating table.

Steps to Reproduce:
1. Open the sample document :)

Actual Results:
graphics are located somewhere in the header

Expected Results:
graphics should be in the footer table


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Patrick Jaap 2019-04-08 06:39:36 UTC
Created attachment 150596 [details]
sample document .doc
Comment 2 Patrick Jaap 2019-04-08 06:40:01 UTC
Created attachment 150597 [details]
LibreOffice rendering
Comment 3 Patrick Jaap 2019-04-08 06:40:21 UTC
Created attachment 150598 [details]
Office rendering
Comment 4 Durgapriyanka 2019-04-08 15:00:21 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.1.3.2
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group threaded

and

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 5 Buovjaga 2019-04-09 18:36:17 UTC
The graphics position problem and the page break problem at the end of the document is already in 3.3.0.
Comment 6 Commit Notification 2019-09-27 07:22:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d630f69d90f15bc652a62648b05ea515de78d16a

Related: tdf#124601 DOC import: improve fLayoutInCell handling

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-09-27 11:23:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8165cdad2e128ec5fabb50d3330c41a8b0f021d8

Related: tdf#124601 DOC import: always allow floating tables in header/footer

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-09-30 19:51:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4814e8caa5f06c4fe438dfd7d7315e4a2410ea18

tdf#124601 sw: add ContinuousEndnotes layout compat option

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-10-01 23:07:16 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/489eef894e7034873ad262f9dfca554022db1b09

tdf#124601 sw FollowTextFlow: fix vert pos of objects outside the current cell

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-10-02 14:33:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/29d7ece94318d3f03d079dff33ec15ff74f8febf

tdf#124601 sw FollowTextFlow: fix hori pos of objects outside the current cell

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Miklos Vajna 2019-10-02 14:36:42 UTC
I think all the 4 problems marked with red text in attachment 150597 [details] are now fixed on master.
Comment 12 Patrick Jaap 2019-10-02 15:11:27 UTC
Created attachment 154711 [details]
rendering after commit 29d7ece94318d3f03d079dff33ec15ff74f8febf
Comment 13 Patrick Jaap 2019-10-02 15:14:11 UTC
Well done! I can confirm that with commit 29d7ece94318d3f03d079dff33ec15ff74f8febf the graphics in the correct position (see attached PDF). Page breaks are also correct!
Comment 14 Oliver Sander 2019-10-02 15:29:00 UTC
Thank you!  Can I ask you for backports?  To 6.3 or even 6.2?
Comment 15 Commit Notification 2019-10-08 09:17:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/ea3a53adcb39b55fa1793136a3c579d774bc1354

Related: tdf#124601 DOC import: improve fLayoutInCell handling

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-10-10 08:56:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/cdd32989ff526a903713b47671375ebb2784241c

Related: tdf#124601 DOC import: always allow floating tables in header/footer

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-10-11 09:45:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/7040869501dc2b5752822285c3e0616edd6276ef

tdf#124601 sw FollowTextFlow: fix vert pos of objects outside the current cell

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-10-11 16:07:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/6733422ffc1d31fdc7519094c4182b148b55966a

tdf#124601 sw FollowTextFlow: fix hori pos of objects outside the current cell

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.